about summary refs log tree commit diff stats
diff options
context:
space:
mode:
authorBenedikt Peetz <benedikt.peetz@b-peetz.de>2024-08-25 15:42:40 +0200
committerBenedikt Peetz <benedikt.peetz@b-peetz.de>2024-08-25 15:42:40 +0200
commitd083afc2db80a061dc96f8a9c47235edfce89854 (patch)
tree5c0e5b579373e4409e2e44aac271853c7ee192a5
parentfeat(crates/bytes): Support decimal number input (diff)
downloadyt-d083afc2db80a061dc96f8a9c47235edfce89854.tar.gz
yt-d083afc2db80a061dc96f8a9c47235edfce89854.zip
build(update.sh): Correct path specifications and upgrade incompatible deps
-rwxr-xr-xcrates/bytes/update.sh15
-rwxr-xr-xcrates/libmpv2/libmpv2-sys/update.sh3
-rwxr-xr-xcrates/libmpv2/update.sh5
-rwxr-xr-xcrates/yt_dlp/update.sh3
-rwxr-xr-xupdate.sh8
5 files changed, 26 insertions, 8 deletions
diff --git a/crates/bytes/update.sh b/crates/bytes/update.sh
new file mode 100755
index 0000000..c1a0215
--- /dev/null
+++ b/crates/bytes/update.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env sh
+
+# yt - A fully featured command line YouTube client
+#
+# Copyright (C) 2024 Benedikt Peetz <benedikt.peetz@b-peetz.de>
+# SPDX-License-Identifier: GPL-3.0-or-later
+#
+# This file is part of Yt.
+#
+# You should have received a copy of the License along with this program.
+# If not, see <https://www.gnu.org/licenses/gpl-3.0.txt>.
+
+cd "$(dirname "$0")" || exit 1
+[ "$1" = "upgrade" ] && cargo upgrade --incompatible
+cargo update
diff --git a/crates/libmpv2/libmpv2-sys/update.sh b/crates/libmpv2/libmpv2-sys/update.sh
index eb9c3c1..c1a0215 100755
--- a/crates/libmpv2/libmpv2-sys/update.sh
+++ b/crates/libmpv2/libmpv2-sys/update.sh
@@ -10,5 +10,6 @@
 # You should have received a copy of the License along with this program.
 # If not, see <https://www.gnu.org/licenses/gpl-3.0.txt>.
 
-[ "$1" = "upgrade" ] && cargo upgrade
+cd "$(dirname "$0")" || exit 1
+[ "$1" = "upgrade" ] && cargo upgrade --incompatible
 cargo update
diff --git a/crates/libmpv2/update.sh b/crates/libmpv2/update.sh
index 1ff19c6..98d5376 100755
--- a/crates/libmpv2/update.sh
+++ b/crates/libmpv2/update.sh
@@ -10,7 +10,8 @@
 # You should have received a copy of the License along with this program.
 # If not, see <https://www.gnu.org/licenses/gpl-3.0.txt>.
 
-[ "$1" = "upgrade" ] && cargo upgrade
+cd "$(dirname "$0")" || exit 1
+[ "$1" = "upgrade" ] && cargo upgrade --incompatible
 cargo update
 
-./libmpv2-sys/update.sh "$@"
+"$(dirname "$0")/libmpv2-sys/update.sh" "$@"
diff --git a/crates/yt_dlp/update.sh b/crates/yt_dlp/update.sh
index eb9c3c1..c1a0215 100755
--- a/crates/yt_dlp/update.sh
+++ b/crates/yt_dlp/update.sh
@@ -10,5 +10,6 @@
 # You should have received a copy of the License along with this program.
 # If not, see <https://www.gnu.org/licenses/gpl-3.0.txt>.
 
-[ "$1" = "upgrade" ] && cargo upgrade
+cd "$(dirname "$0")" || exit 1
+[ "$1" = "upgrade" ] && cargo upgrade --incompatible
 cargo update
diff --git a/update.sh b/update.sh
index af2c334..8bec4a4 100755
--- a/update.sh
+++ b/update.sh
@@ -12,10 +12,10 @@
 
 nix flake update
 
-[ "$1" = "upgrade" ] && cargo upgrade
+[ "$1" = "upgrade" ] && cargo upgrade --incompatible
 cargo update
 
-./yt_dlp/update.sh "$@"
-./libmpv2/update.sh "$@"
-
+./crates/yt_dlp/update.sh "$@"
+./crates/libmpv2/update.sh "$@"
+./crates/bytes/update.sh "$@"
 # vim: ft=sh